%define	name	task-enlightenment
%define	version	20140917
%define	release	%mkrel 1

Summary:	Enlightenment 18 Meta Package
Name:		%name
Version:	%{version}
Release:	%{release}
Group:		Tasks
URL:		http://www.pclinuxos.com/
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
#---------------------------------------------------------
Obsoletes:	task-enlightenment-modules < %version
Obsoletes:	task-enlightenment-themes < %version 
Obsoletes:	task-enlightenment-themes-legacy < %version
#---------------------------------------------------------
Obsoletes: azy
Obsoletes: e-config
Obsoletes: e-dbus
Obsoletes: ecore
Obsoletes: ecore-ibus
Obsoletes: ecore-scim
Obsoletes: eeze
Obsoletes: efreet
Obsoletes: eio
Obsoletes: embryo
Obsoletes: emotion
Obsoletes: emprint
Obsoletes: ethumb
Obsoletes: evas
Obsoletes: exalt
#---------------------------------------------------------
Obsoletes: e-module-alarm < %version
Obsoletes: e-module-comp-scale < %version
Obsoletes: e-module-cpu < %version
Obsoletes: e-module-deskshow < %version
Obsoletes: e-module-diskio < %version
Obsoletes: e-module-elfe < %version
Obsoletes: e-module-empris < %version
Obsoletes: e-module-engage < %version
Obsoletes: e-module-eooorg < %version
Obsoletes: e-module-everything-aspell < %version
Obsoletes: e-module-everything-mpris < %version
Obsoletes: e-module-everything-pidgin < %version
Obsoletes: e-module-everything-places < %version
Obsoletes: e-module-everything-shotgun < %version
Obsoletes: e-module-everything-skeleton < %version
Obsoletes: e-module-everything-tracker < %version
Obsoletes: e-module-everything-wallpaper < %version
Obsoletes: e-module-everything-websearch < %version
Obsoletes: e-module-exebuf < %version
Obsoletes: e-module-execwatch < %version
Obsoletes: e-module-flame < %version
Obsoletes: e-module-forecasts < %version
Obsoletes: e-module-iiirk < %version
Obsoletes: e-module-itask < %version
Obsoletes: e-module-mail < %version
Obsoletes: e-module-mem < %version
Obsoletes: e-module-moon < %version
Obsoletes: e-module-mpdule < %version 
Obsoletes: e-module-net < %version
Obsoletes: e-module-news < %version
Obsoletes: e-module-penguins < %version
Obsoletes: e-module-photo < %version
Obsoletes: e-module-places < %version
Obsoletes: e-module-rain < %version
Obsoletes: e-module-screenshot < %version
Obsoletes: e-module-skel < %version
Obsoletes: e-module-slideshow < %version
Obsoletes: e-module-snow < %version
Obsoletes: e-module-taskbar < %version
Obsoletes: e-module-tclock < %version
Obsoletes: e-module-trash < %version
Obsoletes: e-module-uptime < %version
Obsoletes: e-module-weather < %version
Obsoletes: e-module-winlist-ng < %version
Obsoletes: e-module-winselector < %version
Obsoletes: e-module-wlan < %version
#---------------------------------------------------------
Obsoletes: e-theme-A-Black3
Obsoletes: e-theme-A-Black-Myst2
Obsoletes: e-theme-A-Black-Nostrum-Pclos
Obsoletes: e-theme-A-Black-S1
Obsoletes: e-theme-A-Black-White-Pclos
Obsoletes: e-theme-A-Blue-One-S1
Obsoletes: e-theme-A-Blue-Two-S1
Obsoletes: e-theme-A-B-W-Pclos-S1
Obsoletes: e-theme-A-Cielo-Azul-Pclos
Obsoletes: e-theme-A-Crema-S1
Obsoletes: e-theme-A-Dark-Emerald-pclos
Obsoletes: e-theme-A-e17club
Obsoletes: e-theme-A-Eight-Pclos
Obsoletes: e-theme-A-First
Obsoletes: e-theme-A-Grunge2
Obsoletes: e-theme-A-Imperial-s
Obsoletes: e-theme-A-Japan-Pclos
Obsoletes: e-theme-A-Japan-S1
Obsoletes: e-theme-AL-Grayish-Pclos
Obsoletes: e-theme-AL-Luxe-Pclos
Obsoletes: e-theme-A-Mare-Nostrum2
Obsoletes: e-theme-A-Mystery-Pclos
Obsoletes: e-theme-A-Noche
Obsoletes: e-theme-A-Nogal
Obsoletes: e-theme-A-PCLinuxOS
Obsoletes: e-theme-A-PCLinuxOS2
Obsoletes: e-theme-A-Pclos-7
Obsoletes: e-theme-A-Pclos-Angelic
Obsoletes: e-theme-A-Pclos-Angelic
Obsoletes: e-theme-A-Pclos-Antique
Obsoletes: e-theme-A-Pclos-Calm3
Obsoletes: e-theme-A-Pclos-Calm-S1
Obsoletes: e-theme-A-Pclos-Darkness
Obsoletes: e-theme-A-Pclos-Detour
Obsoletes: e-theme-A-Pclos-Egypt-A-D
Obsoletes: e-theme-A-Pclos-Electric
Obsoletes: e-theme-A-Pclos-Faces
Obsoletes: e-theme-A-Pclos-Green
Obsoletes: e-theme-A-Pclos-in-Black
Obsoletes: e-theme-A-Pclos-LG2
Obsoletes: e-theme-A-Pclos-Life
Obsoletes: e-theme-A-Pclos-Light
Obsoletes: e-theme-A-Pclos-Moonlight
Obsoletes: e-theme-A-Pclos-Night
Obsoletes: e-theme-A-Pclos-Nogal
Obsoletes: e-theme-A-Red-Night-Pclos
Obsoletes: e-theme-A-Siglo-XIX-2
Obsoletes: e-theme-A-Special-One-S1
Obsoletes: e-theme-A-sunshine-pclos
Obsoletes: e-theme-A-Universe-S1
Obsoletes: e-theme-A-Vision-S1
Obsoletes: e-theme-A-Wood-B1
Obsoletes: e-theme-A-Wood-S1
#---------------------------------------------------------
Requires: e-elementary
Requires: efl
Requires: efx
#Requires: enlightenment-themes-extra
Requires: evas_generic_loaders
Requires: terminology
Requires: pcmanfm
Requires: libfm
Requires: libfm-gtk
Requires: parcellite
Requires: enlightenment-config
Requires: enlightenment >= 0.18.5
Requires: gnome-icon-theme
Requires: gksu
Requires: Xdialog
#------------------------------------------------------------


%description
This package will install the Enlightenment
18 window manager for PCLinuxOS.


%files
%defattr(-,root,root)

%posttrans
Xdialog --title "Enlightenment upgrade info" --msgbox "If you are upgrading from within E-17\n\nClose all open applications and\n\nPress your ALT-CTRL-Backspace buttons." 15 70 & 


%changelog
* Wed Sep 17 2014 bb <bb> 20130917-1pclos2014
- update for Enlightenment 19

